com.tibbo.aggregate.common.util

## Class DashboardsHierarchyInfo

- java.lang.Object
- - com.tibbo.aggregate.common.datatable.AggreGateBean
  - - com.tibbo.aggregate.common.util.DashboardsHierarchyInfo

-     public class DashboardsHierarchyInfo
      extends AggreGateBean

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static TableFormat` | `DASHBOARD_PROPERTIES_FORMAT`
    `static java.lang.String` | `FIELD_NESTED_DASHBOARDS_LOCATIONS`
    `static java.lang.String` | `FIELD_NESTED_DASHBOARDS_PROPERTIES`
    `static TableFormat` | `FORMAT`
    `static TableFormat` | `LOCATIONS_FORMAT`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DashboardsHierarchyInfo()`
    `DashboardsHierarchyInfo(DataRecord data)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addDashboardProperty(DataTable dashboardData)`
    `void` | `addLocation(DataTable locationData)`
    `DashboardProperties` | `getDashboardProperty(int i)`
    `DashboardProperties` | `getLastDashboardProperties()`
    `WindowLocation` | `getLocation(int i)`
    `DataTable` | `getNestedDashboardsLocations()`
    `DataTable` | `getNestedDashboardsProperties()`
    `void` | `setNestedDashboardsLocations(DataTable nestedDashboardsLocations)`
    `void` | `setNestedDashboardsProperties(DataTable nestedDashboardsProperties)`

    - ### Methods inherited from class com.tibbo.aggregate.common.datatable.AggreGateBean

      `getFormat, toDataRecord, toDataTable`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### FIELD_NESTED_DASHBOARDS_PROPERTIES

          public static final java.lang.String FIELD_NESTED_DASHBOARDS_PROPERTIES

      See Also:
        Constant Field Values

    - #### FIELD_NESTED_DASHBOARDS_LOCATIONS

          public static final java.lang.String FIELD_NESTED_DASHBOARDS_LOCATIONS

      See Also:
        Constant Field Values

    - #### DASHBOARD_PROPERTIES_FORMAT

          public static TableFormat DASHBOARD_PROPERTIES_FORMAT

    - #### LOCATIONS_FORMAT

          public static TableFormat LOCATIONS_FORMAT

    - #### FORMAT

          public static TableFormat FORMAT

  - ### Constructor Detail

    - #### DashboardsHierarchyInfo

          public DashboardsHierarchyInfo()

    - #### DashboardsHierarchyInfo

          public DashboardsHierarchyInfo(DataRecord data)

  - ### Method Detail

    - #### getNestedDashboardsProperties

          public DataTable getNestedDashboardsProperties()

    - #### setNestedDashboardsProperties

          public void setNestedDashboardsProperties(DataTable nestedDashboardsProperties)

    - #### getNestedDashboardsLocations

          public DataTable getNestedDashboardsLocations()

    - #### setNestedDashboardsLocations

          public void setNestedDashboardsLocations(DataTable nestedDashboardsLocations)

    - #### addLocation

          public void addLocation(DataTable locationData)

    - #### addDashboardProperty

          public void addDashboardProperty(DataTable dashboardData)

    - #### getLocation

          public WindowLocation getLocation(int i)

    - #### getDashboardProperty

          public DashboardProperties getDashboardProperty(int i)

    - #### getLastDashboardProperties

          public DashboardProperties getLastDashboardProperties()